Source Control Errors - Client is Too Old

JamesGreen.8031JamesGreen.8031 GBMember ✭✭
edited May 2014 in General

Hi All,

Yesterday I updated my default install of SVN on my MacBook to version 1.8.0 from 1.6.0. I've just started to put together my first Xamarin solution and I keep getting errors like this:

MonoDevelop.VersionControl.Subversion.SubversionException: This client is too old to work with the working copy at
'' (format 31).
You need to get a newer Subversion client. For more details, see
http://subversion.apache.org/faq.html#working-copy-format-change

I'm can only assume that Xamarin has it's own local instance of SVN and it's not relying on the OSX default SVN. How do I go about fixing this?

I'm not actually using the source control features of Xamarin as I have SmartSVN installed in order to manage the commits/checkouts/updates.

This problem actually makes Xamarin very difficult to use as every menu click or context menu option produces an error and throws up a dialog with the error details and a stack trace so for now I've had to disable source control globally but I would still like to get this issue fixed.

Thanks,

James

Answers

  • joeyngjoeyng USMember

    hi findjammer, have you found the solution to that, I'm in the same boat. Thanks

  • JamesGreen.8031JamesGreen.8031 GBMember ✭✭

    Hi Joeyng,

    Yeah I stopped using the built in version control altogether. Annoying and probably not the answer you want but I couldn't find a solution.

    FJ

Sign In or Register to comment.